# log4cplus::SimpleLayout Class Reference

SimpleLayout consists of the LogLevel of the log statement, followed by " - " and then the log message itself. More...

`#include <layout.h>`

Inheritance diagram for log4cplus::SimpleLayout:

[legend]
Collaboration diagram for log4cplus::SimpleLayout:

[legend]
List of all members.

## Public Member Functions

| SimpleLayout ()
| SimpleLayout (const log4cplus::helpers::Properties &properties)
virtual void | formatAndAppend (log4cplus::tostream &output, const log4cplus::spi::InternalLoggingEvent &event)

## Detailed Description

SimpleLayout consists of the LogLevel of the log statement, followed by " - " and then the log message itself.

For example,

             DEBUG - Hello world

PatternLayout offers a much more powerful alternative.

Definition at line 75 of file layout.h.

## Constructor & Destructor Documentation

log4cplus::SimpleLayout::SimpleLayout | ( |  | ) | `[inline]`

| Definition at line 77 of file layout.h.

log4cplus::SimpleLayout::SimpleLayout | ( | const log4cplus::helpers::Properties & | properties | ) | `[inline]`

| Definition at line 78 of file layout.h.

## Member Function Documentation

virtual void log4cplus::SimpleLayout::formatAndAppend | ( | log4cplus::tostream & | output,
|  | const log4cplus::spi::InternalLoggingEvent & | event
| ) | `[virtual]`

| Implements log4cplus::Layout.

The documentation for this class was generated from the following file:

- layout.h